GuidesAPI Reference
API Reference

Gets partitions

Gets the metadata for all partitions in a specific layer.

Path Params
string
required

Unique layer ID. Content of this parameter must refer to a valid layer ID.

Query Params
int64

If metadata is being gotten from a versioned layer, specify the version of the target layer. This parameter is required for versioned layers. If metadata is being gotten from another layer type, do not specify this parameter.

string

Available/Required for versioned layers only; indicates which part of the layer shall be queried.

string
enum
Defaults to default

The context where the operation will be performed on a composite layers. Only available for versioned layers.

Available context are:

ContextDescription
defaultThe default value if none is given. For composite layers the operation is executed for both layers current and the layer it extends. For normal layers this is the only valid context.
extensionThe operation will be executed only in the extension and no operation will be performed in the extended layer.
superThe operation will be executed only in the layer being extended (super layer).
Allowed:
additionalFields
array of objects

Additional fields - dataSize, checksum, compressedDataSize, crc.

additionalFields
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Headers
string

Use this parameter to resume download of a large response for versioned layers when there is a connection issue between the client and server. Specify a single byte range offset like this: Range: bytes=10-. This parameter is compliant with RFC 7233, but note that this parameter only supports a single byte range. The range parameter can also be specified as a query parameter, i.e. range=bytes=10-. For volatile layers use the pagination links returned in the response body.

Responses

400

Required parameters are missing

401

Unauthorized

403

Forbidden

404

Catalog or layer does not exist

416

Range Not Satisfiable, invalid range query parameter or Content-Range header

500

Internal Server Error

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*